// Learn cc.Class:
//  - https://docs.cocos.com/creator/manual/en/scripting/class.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

const CopySpine = require("./ShareNode/CopySpine");
const CopySprite = require("./ShareNode/CopySprite");

cc.Class({
    extends: cc.Component,

    properties: {
        nodeSpine: cc.Node,
        nodeSprite: cc.Node,
        nodeContainer: cc.Node,
    },

    start() {
        this.nodeSpine.isShareNode = true;
        let copySpine = new CopySpine(this.nodeSpine);
        this.nodeContainer.addCopyChildren(copySpine);
        copySpine.setPosition(10, 0);
        
        this.nodeSprite.isShareNode = true;
        let copySprite = new CopySprite(this.nodeSprite);
        this.nodeContainer.addCopyChildren(copySprite);
        copySprite.setPosition(-200, 0);

    },

    // update (dt) {},
});
