"use strict";
cc._RF.push(module, '5bfb3nLHCJIWrX9cYftv0/n', 'Game');
// Script/Game.js

"use strict";

// Learn cc.Class:
//  - https://docs.cocos.com/creator/manual/en/scripting/class.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html
var CopySpine = require("./ShareNode/CopySpine");

var CopySprite = require("./ShareNode/CopySprite");

cc.Class({
  "extends": cc.Component,
  properties: {
    nodeSpine: cc.Node,
    nodeSprite: cc.Node,
    nodeContainer: cc.Node
  },
  start: function start() {
    this.nodeSpine.isShareNode = true;
    var copySpine = new CopySpine(this.nodeSpine);
    this.nodeContainer.addCopyChildren(copySpine);
    copySpine.setPosition(10, 0);
    this.nodeSprite.isShareNode = true;
    var copySprite = new CopySprite(this.nodeSprite);
    this.nodeContainer.addCopyChildren(copySprite);
    copySprite.setPosition(-200, 0);
  } // update (dt) {},

});

cc._RF.pop();